package com.mx.cneeds.server.device.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.ProductSeriesEntity;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-03-18 14:44:30
 */
public interface ProductSeriesService extends IService<ProductSeriesEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<ProductSeriesEntity> queryListById(Collection<Long> array);

    List<ProductSeriesEntity> queryList(Map<String, Object> params);

    ProductSeriesEntity queryOne(Long seriesId);

    ProductSeriesEntity queryBySeriesNum(String seriesNum);
}

